healpix.essentials

## Class FitsUtil

- java.lang.Object
- - healpix.essentials.FitsUtil

    public class FitsUtil
    extends Object

Basic FITS I/O support for Healpix maps.

### Constructor Summary

Constructors
Constructor and Description
`FitsUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HealpixMapDouble` `getDoubleMap(String filename, int hdu, int col)`
`static HealpixMapFloat` `getFloatMap(String filename, int hdu, int col)`
`static void` `writeDoubleMap(HealpixMapDouble map, String filename)`
`static void` `writeFloatMap(HealpixMapFloat map, String filename)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FitsUtil

    public FitsUtil()

### Method Detail

#### getFloatMap

    public static HealpixMapFloat getFloatMap(String filename,
                                              int hdu,
                                              int col)
                                       throws Exception

Throws:
  `Exception`

#### getDoubleMap

    public static HealpixMapDouble getDoubleMap(String filename,
                                                int hdu,
                                                int col)
                                         throws Exception

Throws:
  `Exception`

#### writeFloatMap

    public static void writeFloatMap(HealpixMapFloat map,
                                     String filename)
                              throws Exception

Throws:
  `Exception`

#### writeDoubleMap

    public static void writeDoubleMap(HealpixMapDouble map,
                                      String filename)
                               throws Exception

Throws:
  `Exception`